SessionCredential (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.core
Class SessionCredential

    java.lang.Object
      |
      +--org.beepcore.beep.core.SessionCredential

public class SessionCredential
extends java.lang.Object

Class SessionCredential

Field Summary
`static java.lang.String` | `ALGORITHM`
`static java.lang.String` | `AUTHENTICATOR`
`static java.lang.String` | `AUTHENTICATOR_TYPE`
`static java.lang.String` | `AUTHORIZED`
`static java.lang.String` | `LEFT`
`static java.lang.String` | `LOCAL_CERTIFICATE`
`static java.lang.String` | `MIDDLE`
`static java.lang.String` | `NEWLINE`
`static java.lang.String` | `NO_CREDENTIALS`
`static java.lang.String` | `REMOTE_ADDRESS`
`static java.lang.String` | `REMOTE_CERTIFICATE`
`static java.lang.String` | `RIGHT`

Constructor Summary
`SessionCredential()` Constructor SessionCredential
`SessionCredential(java.util.Hashtable props)` Constructor SessionCredential

Method Summary
`java.lang.String` | `getAlgorithm()` Method getAlgorithm
`java.lang.String` | `getAuthenticator()` Method getAuthenticator
`java.lang.String` | `getAuthenticatorType()` Method getAuthenticatorType
`java.lang.String` | `getAuthorized()` Method getAuthorized
`java.lang.Object` | `getLocalCertificate()` Method getLocalCertificate
`java.lang.String` | `getRemoteAddress()` Method getRemoteAddress
`java.lang.Object` | `getRemoteCertificate()` Method getRemoteCertificate
`java.lang.String` | `toString()` Method toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALGORITHM

    public static final java.lang.String ALGORITHM

See Also:
  Constant Field Values

### AUTHENTICATOR

    public static final java.lang.String AUTHENTICATOR

See Also:
  Constant Field Values

### AUTHORIZED

    public static final java.lang.String AUTHORIZED

See Also:
  Constant Field Values

### AUTHENTICATOR_TYPE

    public static final java.lang.String AUTHENTICATOR_TYPE

See Also:
  Constant Field Values

### LOCAL_CERTIFICATE

    public static final java.lang.String LOCAL_CERTIFICATE

See Also:
  Constant Field Values

### NO_CREDENTIALS

    public static final java.lang.String NO_CREDENTIALS

See Also:
  Constant Field Values

### REMOTE_ADDRESS

    public static final java.lang.String REMOTE_ADDRESS

See Also:
  Constant Field Values

### REMOTE_CERTIFICATE

    public static final java.lang.String REMOTE_CERTIFICATE

See Also:
  Constant Field Values

### LEFT

    public static final java.lang.String LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final java.lang.String RIGHT

See Also:
  Constant Field Values

### MIDDLE

    public static final java.lang.String MIDDLE

See Also:
  Constant Field Values

### NEWLINE

    public static final java.lang.String NEWLINE

See Also:
  Constant Field Values

Constructor Detail

### SessionCredential

    public SessionCredential()

  Constructor SessionCredential

### SessionCredential

    public SessionCredential(java.util.Hashtable props)

  Constructor SessionCredential

Parameters:
  `props` -

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Method getAlgorithm

### getAuthenticator

    public java.lang.String getAuthenticator()

  Method getAuthenticator

### getAuthorized

    public java.lang.String getAuthorized()

  Method getAuthorized

### getAuthenticatorType

    public java.lang.String getAuthenticatorType()

  Method getAuthenticatorType

### getLocalCertificate

    public java.lang.Object getLocalCertificate()

  Method getLocalCertificate

### getRemoteAddress

    public java.lang.String getRemoteAddress()

  Method getRemoteAddress

### getRemoteCertificate

    public java.lang.Object getRemoteCertificate()

  Method getRemoteCertificate

### toString

    public java.lang.String toString()

  Method toString

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.